/// <reference types="express" />
import { IAuthFilter } from '../interface/auth-filter.interface';
import { IAuthPermission } from '../interface/auth-permission.interface';
import { IPermissionFilter } from '../interface/permission-filter.interface';
import { RequestHandler } from 'express';
export declare class RouteConfigurator {
    path: string;
    authFilter?: IAuthFilter;
    addAuthFilters?: IAuthFilter[];
    authPermission?: IAuthPermission;
    permissionFilter?: IPermissionFilter;
    addPermissionFilters?: IPermissionFilter[];
    middlewares?: RequestHandler[];
}
