/// <reference types="express" />
import { IAuthFilter } from './auth-filter.interface';
import { IUserModel } from './user-model.interface';
import { Response, Request } from 'express';
export interface IAuthenticator {
    authFilter: IAuthFilter;
    authenticate(req: Request, resp: Response, userModel: IUserModel): void;
}
