import { NamespaceConfigurator } from '../configurators/namespace.configurator';
import { RouteBundle } from '../internal/route-bundle';
import { ViewSet } from '../base/viewset';
export declare class RouteManager {
    private static instance;
    private bundles;
    private namespacies;
    static getInstance(): RouteManager;
    private constructor();
    addRouteBundle(viewSet: {
        new (): ViewSet<any>;
    }, bundle: RouteBundle<any, any>): void;
    getRouteBundle(viewSet: {
        new (): ViewSet<any>;
    }): RouteBundle<any, any>;
    addNamespaceConfiguration(namespace: {
        new (): any;
    }, config: NamespaceConfigurator): void;
    getNamespaceConfiguration(namespace: {
        new (): any;
    }): NamespaceConfigurator;
    isRegisteredNamespace(namespace: {
        new (): any;
    }): boolean;
    isRegisteredViewset(viewset: {
        new (): any;
    }): boolean;
}
