/// <reference types="express" />
import { IUserModel } from '../../interface/user-model.interface';
import { IAuthenticator } from '../../interface/authenticator.interface';
import { JWTFilter } from './jwt.filter';
import { JWTConfiguration } from './jwt.configuration';
import { Request, Response } from 'express';
export declare class JWTAuthenticator implements IAuthenticator {
    private config;
    authFilter: JWTFilter;
    constructor(config: JWTConfiguration);
    authenticate(req: Request, resp: Response, userModel: IUserModel): void;
}
