import { RouteManager } from '../managers/route.manager';
import { RouteBundle } from '../internal/route-bundle';
export function Route(config) {
    return function (target) {
        var bundle = RouteManager.getInstance().getRouteBundle(target);
        if (!bundle) {
            bundle = new RouteBundle();
            RouteManager.getInstance().addRouteBundle(target, bundle);
        }
        bundle.config = config;
    };
}
//# sourceMappingURL=route.decorator.js.map