import { DbHelperModel } from 'ts-db-helper';
import { EndPointConfigurator } from '../configurators/end-point.configurator';
import { ViewSet } from '../base/viewset';
import { RouteConfigurator } from '../configurators/route.configurator';
export declare class RouteBundle<C extends DbHelperModel, T extends ViewSet<C>> {
    config: RouteConfigurator;
    routes: {
        [index: string]: EndPointConfigurator;
    };
}
