/// <reference types="express" />
import { BasicAuthFilter } from './basic-auth.filter';
import { IUserModel } from '../../interface/user-model.interface';
import { IAuthenticator } from '../../interface/authenticator.interface';
import { Request, Response } from 'express';
export declare class BasicAuthAuthenticator implements IAuthenticator {
    authFilter: BasicAuthFilter;
    authenticate(req: Request, resp: Response, userModel: IUserModel): void;
}
