/// <reference types="express" />
import { IUser } from '../../interface/user.interface';
import { Observable } from 'rxjs/Observable';
import { IAuthFilter } from '../../interface/auth-filter.interface';
import { IUserModel } from '../../interface/user-model.interface';
import { Request } from 'express';
export declare class BasicAuthFilter implements IAuthFilter {
    filter(req: Request, userModel: IUserModel): Observable<IUser>;
    private getCredentials(authorization);
}
