/// <reference types="express" />
import { IUser } from '../../interface/user.interface';
import { Observable } from 'rxjs/Observable';
import { IUserModel } from '../../interface/user-model.interface';
import { IAuthFilter } from '../../interface/auth-filter.interface';
import { JWTConfiguration } from './jwt.configuration';
import { Request } from 'express';
export declare class JWTFilter implements IAuthFilter {
    private config;
    constructor(config: JWTConfiguration);
    filter(req: Request, userModel: IUserModel): Observable<IUser>;
}
