/// <reference types="express" />
import { IAuthenticator } from '../../interface/authenticator.interface';
import { IUserModel } from '../../interface/user-model.interface';
import { Request, Response } from 'express';
import { NoAuthFilter } from './no-auth.filter';
export declare class NoAuthenticator implements IAuthenticator {
    authFilter: NoAuthFilter;
    authenticate(req: Request, resp: Response, userModel: IUserModel): void;
}
