import { Observable } from 'rxjs/Observable';
import { IUserModel } from '../../interface/user-model.interface';
import { IAuthPermission } from '../../interface/auth-permission.interface';
import { TRFRequest } from '../../interface/request.interface';
import { PermissionResult } from '../../public-api/permission-result';
export declare class IsAutenticatedPermission implements IAuthPermission {
    check(req: TRFRequest, userModel: IUserModel): Observable<PermissionResult>;
}
